Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412287 - Relax email validation constraints
Summary: Relax email validation constraints
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Tim Wade
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1412251
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:53 UTC by Satoe Imaishi
Modified: 2017-02-27 19:21 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412251
Environment:
Last Closed: 2017-02-27 19:21:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-11 19:21:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/52239e32eb23242efec6c053ccf11be374b71643

commit 52239e32eb23242efec6c053ccf11be374b71643
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 28 14:37:32 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 11 14:17:32 2017 -0500

    Merge pull request #12827 from imtayadeway/refactor/user-email-validation
    
    Delegate email validation format to more_core_extensions
    (cherry picked from commit fdfbf87df0ac74ff64da49062de2975798c51846)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412287

 app/models/user.rb       | 4 ++--
 spec/models/user_spec.rb | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 4 Matouš Mojžíš 2017-02-17 17:56:59 UTC
Verified in 5.7.1.2. I can create user with mails: john@redhat, john,doe@redhat, john{doe}@redhat.

Comment 6 errata-xmlrpc 2017-02-27 19:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.